Skip to main content
PUT
/
robots
/
{robotId}
/
lock
locks a robot
curl --request PUT \
  --url https://api.inorbit.ai/robots/{robotId}/lock \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "lock": {
    "userId": "M3ojid92H7rq3hvac",
    "userName": "service user",
    "userEmail": null,
    "locked": true,
    "ts": 1597342004918,
    "expirationTs": 1597342604918
  }
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Response

created lock attributes

userId
string
userName
string
userEmail
string
locked
boolean
ts
integer
expirationTs
integer